---
type: api
title: Update a connector
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-put-actions-action-id
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-put-actions-action-id
products:
  - Kibana
---

# Update a connector

deprecated

- Server: `https://{kibana_url}`

## Paths

- `PUT` `/api/actions/action/{id}`
- `PUT` `/s/{space_id}/api/actions/action/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `id` (string)
  An identifier for the connector.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

## Request Body

`application/json`

- `config` (map string to object · default: {}) — optional
- `name` (string) — required
- `secrets` (map string to object · default: {}) — optional

## Response

Indicates a successful call.

`application/json`

- `config` (map string to object)
- `connector_type_id` (string)
  The connector type identifier.
- `id` (string)
  The identifier for the connector.
- `is_deprecated` (boolean)
  Indicates whether the connector is deprecated.
- `is_missing_secrets` (boolean)
  Indicates whether the connector is missing secrets.
- `is_preconfigured` (boolean)
  Indicates whether the connector is preconfigured. If true, the `config` and `is_missing_secrets` properties are omitted from the response.
- `is_system_action` (boolean)
  Indicates whether the connector is used for system actions.
- `name` (string)
   The name of the rule.
## Code Examples

#### Console

```console
PUT /api/actions/action/{id}
```

#### curl

```curl
curl -X PUT "https://{kibana_url}/api/actions/action/{id}" \
  -H "kbn-xsrf: true"
```

